GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
print_c_feature Class Reference
Inheritance diagram for print_c_feature:

## Public Member Functions
| print_c_feature (std::string &file)
void | visit_pre (const target_desc *e) override
void | visit_post (const target_desc *e) override
void | visit_pre (const tdesc_feature *e) override
void | visit_post (const tdesc_feature *e) override
void | visit (const tdesc_reg *reg) override
Public Member Functions inherited from print_c_tdesc
| print_c_tdesc (std::string &filename_after_features)
| ~print_c_tdesc ()
void | visit (const tdesc_type_builtin *type) override
void | visit (const tdesc_type_vector *type) override
void | visit (const tdesc_type_with_fields *type) override

## Private Attributes
int | m_next_regnum = 0

## Additional Inherited Members
Protected Attributes inherited from print_c_tdesc
std::string | m_filename_after_features

## Detailed Description

Definition at line 2029 of file target-descriptions.c.

## Constructor & Destructor Documentation

## ◆ print_c_feature()

print_c_feature::print_c_feature | ( | std::string & | file | ) |
| inline

Definition at line 2032 of file target-descriptions.c.

References print_c_tdesc::m_filename_after_features.

## Member Function Documentation

## ◆ visit()

void print_c_feature::visit | ( | const tdesc_reg * | reg | ) |
| inline override virtual

Reimplemented from print_c_tdesc.

Definition at line 2081 of file target-descriptions.c.

References _, error(), m_next_regnum, reg::name, and printf_unfiltered().

## ◆ visit_post() [1/2]

void print_c_feature::visit_post | ( | const target_desc * | e | ) |
| inline override virtual

Reimplemented from print_c_tdesc.

Definition at line 2050 of file target-descriptions.c.

## ◆ visit_post() [2/2]

void print_c_feature::visit_post | ( | const tdesc_feature * | e | ) |
| inline override virtual

Reimplemented from print_c_tdesc.

Definition at line 2075 of file target-descriptions.c.

References printf_unfiltered().

## ◆ visit_pre() [1/2]

void print_c_feature::visit_pre | ( | const target_desc * | e | ) |
| inline override virtual

Reimplemented from print_c_tdesc.

Definition at line 2041 of file target-descriptions.c.

References print_c_tdesc::m_filename_after_features, and printf_unfiltered().

## ◆ visit_pre() [2/2]

void print_c_feature::visit_pre | ( | const tdesc_feature * | e | ) |
| inline override virtual

Reimplemented from print_c_tdesc.

Definition at line 2053 of file target-descriptions.c.

References print_c_tdesc::m_filename_after_features, name, tdesc_feature::name, printf_unfiltered(), and string.

## Member Data Documentation

## ◆ m_next_regnum

int print_c_feature::m_next_regnum = 0
| private

Definition at line 2138 of file target-descriptions.c.

Referenced by visit().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/target-descriptions.c